package com.yunzhi.nanyang.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.yunzhi.nanyang.entity.TaDeviceJob;

 /**
 * 设备作业表;(ta_device_job)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-11-3
 */
@Mapper
public interface TaDeviceJobMapper  extends BaseMapper<TaDeviceJob>{

     IPage<TaDeviceJob> statisOrgBy(IPage<TaDeviceJob> pg,
                                    @Param("orgName") String orgName,
                                    @Param("deviceKind") String deviceKind,
                                    @Param("deviceNo") String deviceNo,
                                    @Param("startDate") String startDate,
                                    @Param("endDate") String endDate);

     Double statisTotalArea(@Param("orgName") String orgName,
                            @Param("deviceKind") String deviceKind,
                            @Param("deviceNo") String deviceNo,
                            @Param("startDate") String startDate,
                            @Param("endDate") String endDate);
 }