package com.yunzhi.nanyang.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yunzhi.nanyang.entity.TaDeviceJob;
import com.yunzhi.nanyang.mapper.TaDeviceJobMapper;
import com.yunzhi.nanyang.service.TaDeviceJobService;

/**
 * 设备作业表;(ta_device_job)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-11-3
 */
@Service
public class TaDeviceJobServiceImpl extends BaseServiceImpl<TaDeviceJobMapper, TaDeviceJob> implements TaDeviceJobService {

    @Override
    public IPage<TaDeviceJob> statisOrgBy(IPage<TaDeviceJob> pg, String orgName, String deviceKind, String deviceNo, String startDate, String endDate) {
        return baseMapper.statisOrgBy(pg, orgName, deviceKind, deviceNo, startDate, endDate);
    }

    @Override
    public Double statisTotalArea(String orgName, String deviceKind, String deviceNo, String startDate, String endDate) {
        return baseMapper.statisTotalArea(orgName, deviceKind, deviceNo, startDate, endDate);
    }
}