package com.yunzhi.nanyang.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.TdDevice;
import com.yunzhi.nanyang.mapper.TdDeviceMapper;
import com.yunzhi.nanyang.service.ITdDeviceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 设备表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Service
public class TdDeviceServiceImpl extends BaseServiceImpl<TdDeviceMapper, TdDevice> implements ITdDeviceService {

    @Override
    public IPage<TdDevice> getPageBy(IPage<TdDevice> pg, String deviceType, Integer onlineStatus) {
        return baseMapper.getPageBy(pg, deviceType, onlineStatus);
    }

    @Override
    public TdDevice getExistByDevice(String deviceType, String deviceNo) {
        return baseMapper.getExistByDevice(deviceType, deviceNo);
    }
}
